Bug 60984 - imap_open() broken in php-imap-4.0.6-9.7.1 rpm
imap_open() broken in php-imap-4.0.6-9.7.1 rpm
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-11 10:07 EST by Nic Doye
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-12 06:40:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nic Doye 2002-03-11 10:07:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
The imap_open() function fails in the new (security update) rpm for php on
RedHat Linux 7.1

Warning: Couldn't open stream {mail.onlinexp.co.uk:143}INBOX in
/var/www/dev/html/imaptest.php on line 2

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install the following php script on RH 7.1 w/ apache 1.3.22-1.7.1 and
php-4.0.6-9.7.1 php-imap-4.0.6-9.7.1 replacing the hostname, username and passwd
as necessary (to make them correct).
2. 
<?php
imap_open("{mail.company.example:143}INBOX", "username", "passwd") ;
?>

3. Point a browser at the script..
	

Actual Results:  Warning: Couldn't open stream {mail.company.example:143}INBOX
in /var/www/dev/html/imaptest.php on line 2

Expected Results:  You should get no output as the php script should mererly
connect to the imap server and then quit.

Additional info:

An immediate workaround is to do
rpm -Uvh --oldpackage php*4.0.4*rpm
cp /etc/php.ini.rpmsave /etc/php.ini

but this leaves us with the old, insecure version of php (but at least my users
can read their mail).

I'm unsure if this is broken on RedHat 7.2 - it looks like it may be, but I
haven't tested for sure

MTIA,
nic
Comment 1 Nic Doye 2002-03-12 06:40:15 EST
Note the difference in IMAP c-Client Version.

php-imap-4.0.4pl1-9 uses "4.1"
php-imap-4.0.6-9.7.1 uses "2000"

Hope this helps.
Comment 2 Nic Doye 2002-03-28 07:00:25 EST
OK - it's not a php-imap bug. My cyrus server advertised gssapi as a capability
which doesn't work in my set up. php's imap_open sees this and tries to use it.
(Though with the old imap library it didn't bother).

Fix: rpm -e cyrus-sasl-gssapi

Sorry for taking up your time.

nic

Note You need to log in before you can comment on or make changes to this bug.